package com.shkj.wms.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wms.bo.BasRuleBo;
import com.shkj.wms.domain.BasRule;
import com.shkj.wms.vo.BasRuleVo;

import java.util.List;

/**
 * 编码规则Mapper接口
 *
 * @author j.liang
 * @date 2022-12-08
 */
public interface BasRuleMapper extends BaseMapper<BasRule> {


    public List<BasRuleVo> selectRuleOne(String ruleNum);

    public BasRuleVo selectRuleList(Long ruleId);


    public List<BasRuleVo> selectRuleList(BasRuleBo bo);

}
